마지막 팀 관리자

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/last-team-manager입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

이렇게 변경하면 조직 내에 org:manage_team 권한을 가진 구성원이 없어져 아무도 팀을 관리할 수 없게 됩니다. 먼저 다른 구성원에게 해당 권한을 부여하세요.

필드#

응답 본문에는 표준 항목인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
organizationIdstring

예시#

json
{
  "detail": "This change would leave the organization with nobody holding org:manage_team, so nobody could manage the team. Give that permission to another member first.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/last-team-manager",
  "status": 409,
  "title": "Last team manager"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/organizations/{orgId}/members/{userId}